<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:id="@+id/llRowRoot"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/color_body_02"
        android:orientation="vertical">


    <LinearLayout
            android:id="@+id/llRowBody"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <LinearLayout
                android:id="@+id/llRowBody1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical">


            <LinearLayout
                    android:id="@+id/llRowBody1_Contents"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical">


                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingLeft="15dp"
                        android:paddingRight="15dp"
                        android:orientation="horizontal">

                    <TextView
                            android:id="@+id/tvRowBody1_Title"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="left"
                            android:includeFontPadding="false"
                            android:layout_marginTop="15dp"
                            android:layout_marginBottom="15dp"
                            android:maxLines="1"
                            android:text="닫힘"
                            android:textColor="@color/color_text_02"
                            android:textSize="@dimen/size_font_02"
                            android:textStyle="bold"/>

                    <RelativeLayout
                            android:id="@+id/rlRowBody1_Control"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1">

                        <LinearLayout
                                android:id="@+id/llRowBody1_Control"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_alignParentRight="true">

                            <Button
                                    android:id="@+id/btnRowBody1_Contents_On"
                                    android:layout_width="45dp"
                                    android:layout_height="45dp"
                                    android:background="@drawable/d_img_things_detail_06_99_btn_on"
                                    android:textColor="@color/color_text_04"
                                    android:textSize="@dimen/size_font_02"/>

                            <Button
                                    android:id="@+id/btnRowBody1_Contents_Off"
                                    android:layout_width="45dp"
                                    android:layout_height="45dp"
                                    android:background="@drawable/d_img_things_detail_06_99_btn_off"
                                    android:textColor="@color/color_text_04"
                                    android:textSize="@dimen/size_font_02"/>
                        </LinearLayout>

                        <LinearLayout
                                android:id="@+id/llLoading1"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_alignBottom="@+id/llRowBody1_Control"
                                android:layout_alignLeft="@+id/llRowBody1_Control"
                                android:layout_alignRight="@+id/llRowBody1_Control"
                                android:layout_alignTop="@+id/llRowBody1_Control"
                                android:background="@drawable/common_bg_alpha_85_w"
                                android:gravity="center"
                                android:visibility="gone">

                            <ProgressBar
                                    android:layout_width="45dp"
                                    android:layout_height="45dp"
                                    android:indeterminateDrawable="@drawable/d_things_run_loading"
                                    android:indeterminateDuration="100"/>
                        </LinearLayout>
                    </RelativeLayout>
                </LinearLayout>

                <View
                        style="@style/width_Divider_02"/>
            </LinearLayout>

            <LinearLayout
                    android:id="@+id/llRowBody1_LastTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:orientation="vertical">

                <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:paddingLeft="15dp"
                        android:paddingRight="15dp"
                        android:orientation="horizontal">

                    <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="left"
                            android:includeFontPadding="false"
                            android:maxLines="1"
                            android:layout_marginTop="15dp"
                            android:layout_marginBottom="15dp"
                            android:text="마지막 동작"
                            android:textColor="@color/color_text_01"
                            android:textSize="@dimen/size_font_04"/>

                    <TextView
                            android:id="@+id/tvRowBody1_Lasttime"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="left"
                            android:includeFontPadding="false"
                            android:maxLines="1"
                            android:text="2017.02.08 14:00"
                            android:textColor="@color/color_text_01"
                            android:textSize="@dimen/size_font_04"/>
                </LinearLayout>

                <View
                        style="@style/width_Divider_02"/>
            </LinearLayout>

        </LinearLayout>


        <LinearLayout
                android:id="@+id/llRowBody2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:orientation="vertical">

            <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:paddingLeft="15dp"
                    android:paddingRight="15dp"
                    android:orientation="horizontal">

                <TextView
                        android:id="@+id/tvRowBody2_Title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:includeFontPadding="false"
                        android:paddingBottom="15dp"
                        android:paddingTop="15dp"
                        android:text="배터리"
                        android:textColor="@color/color_text_01"
                        android:textSize="@dimen/size_font_04"/>

                <View
                        android:id="@+id/vEmp1"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:gravity="center_horizontal"/>

                <RelativeLayout
                        android:id="@+id/rlRowBody2_Body"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content">

                    <LinearLayout
                            android:id="@+id/llRowBody2_Body"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content">

                        <TextView
                                android:id="@+id/tvRowBody2_Body"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="10dp"
                                android:gravity="center"
                                android:includeFontPadding="false"
                                android:text="80%"
                                android:textColor="@color/color_text_01"
                                android:textSize="@dimen/size_font_04"/>

                        <Button
                                android:id="@+id/btnRowBody2_Control"
                                android:layout_width="45dp"
                                android:layout_height="45dp"
                                android:textAllCaps="false"
                                android:background="@drawable/img_things_list_btn_onoff_off"/>
                    </LinearLayout>

                    <LinearLayout
                            android:id="@+id/llLoading2"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_alignBottom="@+id/llRowBody2_Body"
                            android:layout_alignLeft="@+id/llRowBody2_Body"
                            android:layout_alignRight="@+id/llRowBody2_Body"
                            android:layout_alignTop="@+id/llRowBody2_Body"
                            android:background="@drawable/common_bg_alpha_85_w"
                            android:gravity="center"
                            android:visibility="gone">

                        <ProgressBar
                                android:layout_width="35dp"
                                android:layout_height="35dp"
                                android:indeterminateDrawable="@drawable/d_things_run_loading"
                                android:indeterminateDuration="100"/>
                    </LinearLayout>
                </RelativeLayout>
            </LinearLayout>

            <View
                    style="@style/width_Divider_01"/>

        </LinearLayout>
    </LinearLayout>
</LinearLayout>
